org.modeshape.jcr.query.lucene.basic

## Class BasicLuceneConfiguration

- java.lang.Object
- - org.hibernate.search.cfg.spi.SearchConfigurationBase
  - - org.modeshape.jcr.query.lucene.LuceneSearchConfiguration
    - - org.modeshape.jcr.query.lucene.basic.BasicLuceneConfiguration

- All Implemented Interfaces:
    org.hibernate.search.cfg.spi.SearchConfiguration

      public class BasicLuceneConfiguration
      extends LuceneSearchConfiguration

  The Hibernate Search `SearchConfiguration` implementation that specifies how Hibernate Search should be configured.

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.query.lucene.LuceneSearchConfiguration

      `DEFAULT_INDEX, HIBERNATE_PROPERTY_PREFIX, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicLuceneConfiguration(String repositoryName, Properties backend, Properties indexing, Properties storage)` Create a configuration for the `BasicLuceneSchema`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIndexMetadataComplete()`

    - ### Methods inherited from class org.modeshape.jcr.query.lucene.LuceneSearchConfiguration

      `getClassMapping, getClassMappings, getInstanceInitializer, getProgrammaticMapping, getProperties, getProperty, getProvidedServices, getReflectionManager, getVersion, isTransactionManagerExpected, setProperty, setProperty, toString`

    - ### Methods inherited from class org.hibernate.search.cfg.spi.SearchConfigurationBase

      `getIndexManagerFactory, isIdProvidedImplicit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicLuceneConfiguration

          public BasicLuceneConfiguration(String repositoryName,
                                  Properties backend,
                                  Properties indexing,
                                  Properties storage)

      Create a configuration for the `BasicLuceneSchema`.
      Parameters:
        `repositoryName` - the name of the repository; may not be null
        `backend` - the `repository configuration` properties for the Hibernate Search backend; may not be null
        `indexing` - the `repository configuration` properties for the indexing options; may not be null
        `storage` - the `repository configuration` properties for index storage options; may not be null

  - ### Method Detail

    - #### isIndexMetadataComplete

          public boolean isIndexMetadataComplete()

      Specified by:
        `isIndexMetadataComplete` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`
      Overrides:
        `isIndexMetadataComplete` in class `org.hibernate.search.cfg.spi.SearchConfigurationBase`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.